petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFunctionReturn

Last executable line of each PETSc function used for error handling. Replaces return()

### Synopsis

    #include <petscsys.h>
    void PetscFunctionReturn(0);

Not Collective

### Usage

        ....
         PetscFunctionReturn(0);
       }

### Notes

Not available in Fortran

### See Also

PetscFunctionBegin()

### Level

developer

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex8.c.html
src/mat/examples/tutorials/ex12.c.html
src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex15.c.html
src/dm/examples/tutorials/ex20.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages